actions: []
api_documentation: http://docs.ros.org/en/noetic/api/common_msgs/html
authors: Tully Foote <tfoote@osrfoundation.org>
brief: ''
bugtracker: ''
depends:
- actionlib_msgs
- catkin
- diagnostic_msgs
- geometry_msgs
- nav_msgs
- sensor_msgs
- shape_msgs
- stereo_msgs
- trajectory_msgs
- visualization_msgs
depends_on:
- ros_core
description: "common_msgs contains messages that are widely used by other ROS packages.\n\
  \    These includes messages for\n    actions (<a href=\"http://wiki.ros.org/actionlib_msgs\"\
  >actionlib_msgs</a>),\n    diagnostics (<a href=\"http://wiki.ros.org/diagnostic_msgs\"\
  >diagnostic_msgs</a>),\n    geometric primitives (<a href=\"http://wiki.ros.org/geometry_msgs\"\
  >geometry_msgs</a>),\n    robot navigation (<a href=\"http://wiki.ros.org/nav_msgs\"\
  >nav_msgs</a>),\n    and common sensors (<a href=\"http://wiki.ros.org/sensor_msgs\"\
  >sensor_msgs</a>), such as laser range finders, cameras, point clouds."
devel_jobs:
- https://build.ros.org/view/Ndev_db/job/Ndev_db__common_msgs__debian_buster_amd64
- https://build.ros.org/view/Ndev/job/Ndev__common_msgs__ubuntu_focal_amd64
doc_job: https://build.ros.org/view/Ndoc/job/Ndoc__common_msgs__ubuntu_focal_amd64
has_changelog_rst: true
license: BSD
maintainer_status: maintained
maintainers: Michel Hidalgo <michel@ekumenlabs.com>
metapackages:
- ros_core
msgs: []
package_type: metapackage
packages:
- actionlib_msgs
- diagnostic_msgs
- geometry_msgs
- nav_msgs
- sensor_msgs
- shape_msgs
- stereo_msgs
- trajectory_msgs
- visualization_msgs
release_jobs:
- https://build.ros.org/view/Nsrc_dB/job/Nsrc_dB__common_msgs__debian_buster__source
- https://build.ros.org/view/Nsrc_uF/job/Nsrc_uF__common_msgs__ubuntu_focal__source
- https://build.ros.org/view/Nbin_db_dB64/job/Nbin_db_dB64__common_msgs__debian_buster_amd64__binary
- https://build.ros.org/view/Nbin_dbv8_dBv8/job/Nbin_dbv8_dBv8__common_msgs__debian_buster_arm64__binary
- https://build.ros.org/view/Nbin_uF64/job/Nbin_uF64__common_msgs__ubuntu_focal_amd64__binary
- https://build.ros.org/view/Nbin_ufhf_uFhf/job/Nbin_ufhf_uFhf__common_msgs__ubuntu_focal_armhf__binary
- https://build.ros.org/view/Nbin_ufv8_uFv8/job/Nbin_ufv8_uFv8__common_msgs__ubuntu_focal_arm64__binary
repo_name: common_msgs
repo_url: ''
srvs: []
timestamp: 1646208167.9076142
url: http://wiki.ros.org/common_msgs
vcs: git
vcs_uri: https://github.com/ros/common_msgs.git
vcs_version: noetic-devel
